package com.sundata.internalevaluation.calc.running.threads;

import java.util.concurrent.ForkJoinPool;
import java.util.concurrent.ForkJoinWorkerThread;

public class CalcForkJoinWorkerThread extends ForkJoinWorkerThread {

    private final String calculateInstanceNumber;

    /**
     * Creates a ForkJoinWorkerThread operating in the given pool.
     *
     * @param pool the pool this thread works in
     * @throws NullPointerException if pool is null
     */
    protected CalcForkJoinWorkerThread(ForkJoinPool pool, String calculateInstanceNumber) {
        super(pool);
        this.calculateInstanceNumber = calculateInstanceNumber;
    }

    @Override
    protected void onStart() {
        super.onStart();
        // 设置线程名称
        setName("计算[" + calculateInstanceNumber + "]"+"-"+getName());
    }
}
