package com.sundata.internalevaluation.configuration.mapper;

import java.util.List;

import com.sundata.internalevaluation.configuration.model.SysReqRuleRules;
import org.apache.ibatis.annotations.Mapper;
import com.sundata.internalevaluation.configuration.model.SysReqRules;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SysReqRulesMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SysReqRules> listAll(SysReqRules sysReqRules);


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SysReqRules getById(@Param("rulesNo") String rulesNo);

	
	/**
     * 新增，忽略null字段
     *
     * @param sysReqRules 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SysReqRules sysReqRules);
	


	
	/**
     * 修改，忽略null字段
     *
     * @param sysReqRules 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SysReqRules sysReqRules);
	
	/**
     * 删除记录
     *
     * @param sysReqRules 待删除的记录
     * @return 返回影响行数
     */
	int delete(SysReqRules sysReqRules);


	/**
	 * 根据规则编号删除关联的规则
	 * @param rulesNo 规则集编号
	 * @return 删除行数
	 */
	int deleteAssociateRuleByRulesNo(String rulesNo);

	/**
	 * 插入 规则和规则集的关联关系
	 * @param associateRules
	 * @return
	 */
	int insertAssociateRule(@Param("associateRules") List<SysReqRuleRules> associateRules);


	/**
	 *
	 */
	List<String> selectRuleByRulesNo(@Param("rulesNo") String rulesNo);


	List<String> selectRulesByRuleNo(@Param("ruleNo") String ruleNo);

}