package com.sundata.internalevaluation.configuration.model;


import java.util.List;

/**
 * 规则信息表
 */
public class SysReqRule {
    /**
     * 规则编号
     */
    private String ruleNo;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 规则模板
     */
    private String ruleTemplate;
    /**
     * 模板说明
     */
    private String templateDesc;
    /**
     * 规则结果
     */
    private String ruleResult;
    /**
     * 规则指标
     */
    private String ruleIndex;
    /**
     * 规则阈值
     */
    private String ruleThreshold;

    private List<String> indexNoList;

    private List<SysRuleIndex> ruleIndexList;

    public List<String> getIndexNoList() {
        return indexNoList;
    }

    public void setIndexNoList(List<String> indexNoList) {
        this.indexNoList = indexNoList;
    }

    public List<SysRuleIndex> getRuleIndexList() {
        return ruleIndexList;
    }

    public void setRuleIndexList(List<SysRuleIndex> ruleIndexList) {
        this.ruleIndexList = ruleIndexList;
    }

    /**
     * 规则结论模板
     */
    private String ruleConclusionTemplate;

    public SysReqRule() {
    }

    public SysReqRule(String ruleNo, String ruleName, String ruleTemplate, String templateDesc, String ruleResult, String ruleIndex, String ruleThreshold, String ruleConclusionTemplate) {
        this.ruleNo = ruleNo;
        this.ruleName = ruleName;
        this.ruleTemplate = ruleTemplate;
        this.templateDesc = templateDesc;
        this.ruleResult = ruleResult;
        this.ruleIndex = ruleIndex;
        this.ruleThreshold = ruleThreshold;
        this.ruleConclusionTemplate = ruleConclusionTemplate;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SysReqRule that = (SysReqRule) o;
        return ruleNo.equals(that.ruleNo);
    }

    @Override
    public int hashCode() {
        return java.util.Objects.hash(ruleNo);
    }

    /**
     * 获取
     * @return ruleNo
     */
    public String getRuleNo() {
        return ruleNo;
    }

    /**
     * 设置
     * @param ruleNo
     */
    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }

    /**
     * 获取
     * @return ruleName
     */
    public String getRuleName() {
        return ruleName;
    }

    /**
     * 设置
     * @param ruleName
     */
    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    /**
     * 获取
     * @return ruleTemplate
     */
    public String getRuleTemplate() {
        return ruleTemplate;
    }

    /**
     * 设置
     * @param ruleTemplate
     */
    public void setRuleTemplate(String ruleTemplate) {
        this.ruleTemplate = ruleTemplate;
    }

    /**
     * 获取
     * @return templateDesc
     */
    public String getTemplateDesc() {
        return templateDesc;
    }

    /**
     * 设置
     * @param templateDesc
     */
    public void setTemplateDesc(String templateDesc) {
        this.templateDesc = templateDesc;
    }

    /**
     * 获取
     * @return ruleResult
     */
    public String getRuleResult() {
        return ruleResult;
    }

    /**
     * 设置
     * @param ruleResult
     */
    public void setRuleResult(String ruleResult) {
        this.ruleResult = ruleResult;
    }

    /**
     * 获取
     * @return ruleIndex
     */
    public String getRuleIndex() {
        return ruleIndex;
    }

    /**
     * 设置
     * @param ruleIndex
     */
    public void setRuleIndex(String ruleIndex) {
        this.ruleIndex = ruleIndex;
    }

    /**
     * 获取
     * @return ruleThreshold
     */
    public String getRuleThreshold() {
        return ruleThreshold;
    }

    /**
     * 设置
     * @param ruleThreshold
     */
    public void setRuleThreshold(String ruleThreshold) {
        this.ruleThreshold = ruleThreshold;
    }

    /**
     * 获取
     * @return ruleConclusionTemplate
     */
    public String getRuleConclusionTemplate() {
        return ruleConclusionTemplate;
    }

    /**
     * 设置
     * @param ruleConclusionTemplate
     */
    public void setRuleConclusionTemplate(String ruleConclusionTemplate) {
        this.ruleConclusionTemplate = ruleConclusionTemplate;
    }

    public String toString() {
        return "SysReqRule{ruleNo = " + ruleNo + ", ruleName = " + ruleName + ", ruleTemplate = " + ruleTemplate + ", templateDesc = " + templateDesc + ", ruleResult = " + ruleResult + ", ruleIndex = " + ruleIndex + ", ruleThreshold = " + ruleThreshold + ", ruleConclusionTemplate = " + ruleConclusionTemplate + "}";
    }
}